TSLMINFO(1)

NAME
tslminfo - get information of a threaded back-off language model

SYNOPSIS
tslminfo [option]... threaded_slm_file

DESCRIPTION
slminfo tells information of back-off language model 'threaded_slm_file'. It can also print the model to ARPA format. When no option is given, slminfo will only print number of items in each level of the language model.

OPTIONS

-v,--verbose
    Turn on verbose mode, printing arpa format.

-p,--pr
    Prefer normal probability than -log(Pr) which is default. Valid under -v option.

-l,--lexicon dict_file
    Specify the lexicon. Valid under -v option. Substitute the word-id with word-text in the output.

AUTHOR
Originally written by Phill.Zhang <phill.zhang@sun.com>. Currently maintained by Kov.Chai <tchaikov@gmail.com>.

SEE ALSO
slminfo(1).